<?php
/* Autor...:  */
/* Esquema.: SRV_UbicacionEstado.xml */
/* Generado: 2020-08-18 04:21:31 */

/* Metodos de acceso a los campos de la tabla SRV_UbicacionEstado */
abstract class BaseSRV_UbicacionEstadoBN
{
    /* Campos de la tabla */
    private $i_IdUbicacion;    // IdUbicacion: ( no definido )
    private $i_IdEstados;    // IdEstados: ( no definido )
    private $s_EstadoNombre;    // EstadoNombre: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )

    /* Establece el valor del campo IdUbicacion */
    public function setIdUbicacion( $i_IdUbicacion )
    {
        $this->i_IdUbicacion = $i_IdUbicacion;
    }

    /* Obtiene el valor del campo IdUbicacion */
    public function getIdUbicacion()
    {
        return $this->i_IdUbicacion;
    }

    /* Establece el valor del campo IdEstados */
    public function setIdEstados( $i_IdEstados )
    {
        $this->i_IdEstados = $i_IdEstados;
    }

    /* Obtiene el valor del campo IdEstados */
    public function getIdEstados()
    {
        return $this->i_IdEstados;
    }

    /* Establece el valor del campo EstadoNombre */
    public function setEstadoNombre( $s_EstadoNombre )
    {
        $this->s_EstadoNombre = $s_EstadoNombre;
    }

    /* Obtiene el valor del campo EstadoNombre */
    public function getEstadoNombre()
    {
        return $this->s_EstadoNombre;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdUbicacion' => $this->getIdUbicacion(),
            'IdEstados' => $this->getIdEstados(),
            'EstadoNombre' => $this->getEstadoNombre(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SRV_UbicacionEstadoBN desde un RecordSet */
    public static function retrieveByRs( $o_SRV_UbicacionEstadoRs )
    {
        $o_SRV_UbicacionEstadoBN = new SRV_UbicacionEstadoBN();
        $o_SRV_UbicacionEstadoBN->setIdUbicacion( ( integer ) $o_SRV_UbicacionEstadoRs[ "IdUbicacion" ] );
        $o_SRV_UbicacionEstadoBN->setIdEstados( ( integer ) $o_SRV_UbicacionEstadoRs[ "IdEstados" ] );
        $o_SRV_UbicacionEstadoBN->setEstadoNombre( $o_SRV_UbicacionEstadoRs[ "EstadoNombre" ] );
        $o_SRV_UbicacionEstadoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_SRV_UbicacionEstadoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_SRV_UbicacionEstadoBN->setUsuarioCreacion( $o_SRV_UbicacionEstadoRs[ "UsuarioCreacion" ] );
        return $o_SRV_UbicacionEstadoBN;
    }
}
?>